com.independentsoft.exchange

## Class Persona

- java.lang.Object
- - com.independentsoft.exchange.Persona

-     public class Persona
      extends java.lang.Object

  The Class Persona.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<StringAttributedValue>` | `getAssistantNames()` Gets the assistant names.
    `java.util.List<PersonaPhoneNumberAttributedValue>` | `getAssistantPhoneNumbers()` Gets the assistant phone numbers.
    `java.util.List<PersonaAttribution>` | `getAttributions()` Gets the attributions.
    `java.util.List<StringAttributedValue>` | `getBirthdays()` Gets the birthdays.
    `java.util.List<PersonaPostalAddressAttributedValue>` | `getBusinessAddresses()` Gets the business addresses.
    `java.util.List<StringAttributedValue>` | `getBusinessHomePages()` Gets the business home pages.
    `java.util.List<PersonaPhoneNumberAttributedValue>` | `getBusinessPhoneNumbers()` Gets the business phone numbers.
    `java.util.List<PersonaPhoneNumberAttributedValue>` | `getBusinessPhoneNumbers2()` Gets the business phone numbers2.
    `java.util.List<PersonaPhoneNumberAttributedValue>` | `getCallbackPhones()` Gets the callback phones.
    `java.util.List<PersonaPhoneNumberAttributedValue>` | `getCarPhones()` Gets the car phones.
    `java.util.List<StringAttributedValue>` | `getChildren()` Gets the children.
    `java.lang.String` | `getCompanyName()` Gets the company name.
    `java.util.List<StringAttributedValue>` | `getCompanyNames()` Gets the company names.
    `java.lang.String` | `getCompanyNameSortKey()` Gets the company name sort key.
    `java.util.Date` | `getCreationTime()` Gets the creation time.
    `java.lang.String` | `getDepartment()` Gets the department.
    `java.util.List<StringAttributedValue>` | `getDepartments()` Gets the departments.
    `java.lang.String` | `getDisplayName()` Gets the display name.
    `java.lang.String` | `getDisplayNameFirstLast()` Gets the display name first last.
    `java.lang.String` | `getDisplayNameFirstLastHeader()` Gets the display name first last header.
    `java.lang.String` | `getDisplayNameFirstLastSortKey()` Gets the display name first last sort key.
    `java.lang.String` | `getDisplayNameLastFirst()` Gets the display name last first.
    `java.lang.String` | `getDisplayNameLastFirstHeader()` Gets the display name last first header.
    `java.lang.String` | `getDisplayNameLastFirstSortKey()` Gets the display name last first sort key.
    `java.lang.String` | `getDisplayNamePrefix()` Gets the display name prefix.
    `java.util.List<StringAttributedValue>` | `getDisplayNamePrefixes()` Gets the display name prefixes.
    `java.util.List<StringAttributedValue>` | `getDisplayNames()` Gets the display names.
    `Mailbox` | `getEmailAddress()` Gets the email address.
    `java.util.List<Mailbox>` | `getEmailAddresses()` Gets the email addresses.
    `java.util.List<MailboxAttributedValue>` | `getEmails1()` Gets the emails1.
    `java.util.List<MailboxAttributedValue>` | `getEmails2()` Gets the emails2.
    `java.util.List<MailboxAttributedValue>` | `getEmails3()` Gets the emails3.
    `java.util.List<ExtendedPropertyAttributedValue>` | `getExtendedProperties()` Gets the extended properties.
    `java.lang.String` | `getFileAs()` Gets the file as.
    `java.util.List<StringAttributedValue>` | `getFileAses()` Gets the file ases.
    `java.lang.String` | `getFileAsId()` Gets the file as id.
    `java.util.List<StringAttributedValue>` | `getFileAsIds()` Gets the file as ids.
    `java.util.List<FolderId>` | `getFolderIds()` Gets the folder ids.
    `java.lang.String` | `getGeneration()` Gets the generation.
    `java.util.List<StringAttributedValue>` | `getGenerations()` Gets the generations.
    `java.lang.String` | `getGivenName()` Gets the given name.
    `java.util.List<StringAttributedValue>` | `getGivenNames()` Gets the given names.
    `java.util.List<StringAttributedValue>` | `getHobbies()` Gets the hobbies.
    `java.util.List<PersonaPostalAddressAttributedValue>` | `getHomeAddresses()` Gets the home addresses.
    `java.lang.String` | `getHomeCity()` Gets the home city.
    `java.lang.String` | `getHomeCitySortKey()` Gets the home city sort key.
    `java.util.List<PersonaPhoneNumberAttributedValue>` | `getHomeFaxes()` Gets the home faxes.
    `java.util.List<PersonaPhoneNumberAttributedValue>` | `getHomePhones()` Gets the home phones.
    `java.util.List<PersonaPhoneNumberAttributedValue>` | `getHomePhones2()` Gets the home phones2.
    `java.lang.String` | `getImAddress()` Gets the im address.
    `java.util.List<StringAttributedValue>` | `getImAddresses()` Gets the im addresses.
    `java.util.List<StringAttributedValue>` | `getImAddresses2()` Gets the im addresses2.
    `java.util.List<StringAttributedValue>` | `getImAddresses3()` Gets the im addresses3.
    `java.util.List<StringAttributedValue>` | `getInitials()` Gets the initials.
    `java.lang.String` | `getLocation()` Gets the location.
    `java.util.List<StringAttributedValue>` | `getLocations()` Gets the locations.
    `java.util.List<StringAttributedValue>` | `getManagers()` Gets the managers.
    `java.lang.String` | `getMiddleName()` Gets the middle name.
    `java.util.List<StringAttributedValue>` | `getMiddleNames()` Gets the middle names.
    `java.util.List<PersonaPhoneNumberAttributedValue>` | `getMobilePhones()` Gets the mobile phones.
    `java.util.List<PersonaPhoneNumberAttributedValue>` | `getMobilePhones2()` Gets the mobile phones2.
    `java.lang.String` | `getNickname()` Gets the nickname.
    `java.util.List<StringAttributedValue>` | `getNicknames()` Gets the nicknames.
    `java.util.List<StringAttributedValue>` | `getOfficeLocations()` Gets the office locations.
    `java.util.List<PersonaPhoneNumberAttributedValue>` | `getOrganizationMainPhones()` Gets the organization main phones.
    `java.util.List<PersonaPostalAddressAttributedValue>` | `getOtherAddresses()` Gets the other addresses.
    `java.util.List<PersonaPhoneNumberAttributedValue>` | `getOtherFaxes()` Gets the other faxes.
    `java.util.List<PersonaPhoneNumberAttributedValue>` | `getOtherPhones2()` Gets the other phones2.
    `java.util.List<PersonaPhoneNumberAttributedValue>` | `getOtherTelephones()` Gets the other telephones.
    `java.util.List<PersonaPhoneNumberAttributedValue>` | `getPagers()` Gets the pagers.
    `ItemId` | `getPersonaId()` Gets the persona id.
    `java.util.List<StringAttributedValue>` | `getPersonalHomePages()` Gets the personal home pages.
    `java.lang.String` | `getPersonaObjectStatus()` Gets the persona object status.
    `java.lang.String` | `getPersonaType()` Gets the persona type.
    `PersonaPhoneNumber` | `getPhoneNumber()` Gets the phone number.
    `java.util.List<StringAttributedValue>` | `getProfessions()` Gets the professions.
    `java.util.List<PersonaPhoneNumberAttributedValue>` | `getRadioPhones()` Gets the radio phones.
    `int` | `getRelevanceScore()` Gets the relevance score.
    `java.util.List<StringAttributedValue>` | `getSchools()` Gets the schools.
    `java.util.List<StringAttributedValue>` | `getSpouseNames()` Gets the spouse names.
    `java.lang.String` | `getSurname()` Gets the surname.
    `java.util.List<StringAttributedValue>` | `getSurnames()` Gets the surnames.
    `java.util.List<PersonaPhoneNumberAttributedValue>` | `getTelexNumbers()` Gets the telex numbers.
    `java.lang.String` | `getTitle()` Gets the title.
    `java.util.List<StringAttributedValue>` | `getTitles()` Gets the titles.
    `java.util.List<PersonaPhoneNumberAttributedValue>` | `getTTYTDDPhoneNumbers()` Gets the tTYTDD phone numbers.
    `java.util.List<StringAttributedValue>` | `getWeddingAnniversaries()` Gets the wedding anniversaries.
    `java.lang.String` | `getWorkCity()` Gets the work city.
    `java.lang.String` | `getWorkCitySortKey()` Gets the work city sort key.
    `java.util.List<PersonaPhoneNumberAttributedValue>` | `getWorkFaxes()` Gets the work faxes.
    `java.lang.String` | `getYomiCompanyName()` Gets the yomi company name.
    `java.util.List<StringAttributedValue>` | `getYomiCompanyNames()` Gets the yomi company names.
    `java.lang.String` | `getYomiFirstName()` Gets the yomi first name.
    `java.util.List<StringAttributedValue>` | `getYomiFirstNames()` Gets the yomi first names.
    `java.lang.String` | `getYomiLastName()` Gets the yomi last name.
    `java.util.List<StringAttributedValue>` | `getYomiLastNames()` Gets the yomi last names.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getPersonaId

          public ItemId getPersonaId()

      Gets the persona id.
      Returns:
        the persona id

    - #### getPersonaType

          public java.lang.String getPersonaType()

      Gets the persona type.
      Returns:
        the persona type

    - #### getPersonaObjectStatus

          public java.lang.String getPersonaObjectStatus()

      Gets the persona object status.
      Returns:
        the persona object status

    - #### getCreationTime

          public java.util.Date getCreationTime()

      Gets the creation time.
      Returns:
        the creation time

    - #### getDisplayNameFirstLastSortKey

          public java.lang.String getDisplayNameFirstLastSortKey()

      Gets the display name first last sort key.
      Returns:
        the display name first last sort key

    - #### getDisplayNameLastFirstSortKey

          public java.lang.String getDisplayNameLastFirstSortKey()

      Gets the display name last first sort key.
      Returns:
        the display name last first sort key

    - #### getCompanyNameSortKey

          public java.lang.String getCompanyNameSortKey()

      Gets the company name sort key.
      Returns:
        the company name sort key

    - #### getHomeCitySortKey

          public java.lang.String getHomeCitySortKey()

      Gets the home city sort key.
      Returns:
        the home city sort key

    - #### getWorkCitySortKey

          public java.lang.String getWorkCitySortKey()

      Gets the work city sort key.
      Returns:
        the work city sort key

    - #### getDisplayNameFirstLastHeader

          public java.lang.String getDisplayNameFirstLastHeader()

      Gets the display name first last header.
      Returns:
        the display name first last header

    - #### getDisplayNameLastFirstHeader

          public java.lang.String getDisplayNameLastFirstHeader()

      Gets the display name last first header.
      Returns:
        the display name last first header

    - #### getDisplayName

          public java.lang.String getDisplayName()

      Gets the display name.
      Returns:
        the display name

    - #### getDisplayNameFirstLast

          public java.lang.String getDisplayNameFirstLast()

      Gets the display name first last.
      Returns:
        the display name first last

    - #### getDisplayNameLastFirst

          public java.lang.String getDisplayNameLastFirst()

      Gets the display name last first.
      Returns:
        the display name last first

    - #### getFileAs

          public java.lang.String getFileAs()

      Gets the file as.
      Returns:
        the file as

    - #### getFileAsId

          public java.lang.String getFileAsId()

      Gets the file as id.
      Returns:
        the file as id

    - #### getDisplayNamePrefix

          public java.lang.String getDisplayNamePrefix()

      Gets the display name prefix.
      Returns:
        the display name prefix

    - #### getGivenName

          public java.lang.String getGivenName()

      Gets the given name.
      Returns:
        the given name

    - #### getMiddleName

          public java.lang.String getMiddleName()

      Gets the middle name.
      Returns:
        the middle name

    - #### getSurname

          public java.lang.String getSurname()

      Gets the surname.
      Returns:
        the surname

    - #### getGeneration

          public java.lang.String getGeneration()

      Gets the generation.
      Returns:
        the generation

    - #### getNickname

          public java.lang.String getNickname()

      Gets the nickname.
      Returns:
        the nickname

    - #### getYomiCompanyName

          public java.lang.String getYomiCompanyName()

      Gets the yomi company name.
      Returns:
        the yomi company name

    - #### getYomiFirstName

          public java.lang.String getYomiFirstName()

      Gets the yomi first name.
      Returns:
        the yomi first name

    - #### getYomiLastName

          public java.lang.String getYomiLastName()

      Gets the yomi last name.
      Returns:
        the yomi last name

    - #### getTitle

          public java.lang.String getTitle()

      Gets the title.
      Returns:
        the title

    - #### getDepartment

          public java.lang.String getDepartment()

      Gets the department.
      Returns:
        the department

    - #### getCompanyName

          public java.lang.String getCompanyName()

      Gets the company name.
      Returns:
        the company name

    - #### getLocation

          public java.lang.String getLocation()

      Gets the location.
      Returns:
        the location

    - #### getEmailAddress

          public Mailbox getEmailAddress()

      Gets the email address.
      Returns:
        the email address

    - #### getEmailAddresses

          public java.util.List<Mailbox> getEmailAddresses()

      Gets the email addresses.
      Returns:
        the email addresses

    - #### getPhoneNumber

          public PersonaPhoneNumber getPhoneNumber()

      Gets the phone number.
      Returns:
        the phone number

    - #### getImAddress

          public java.lang.String getImAddress()

      Gets the im address.
      Returns:
        the im address

    - #### getHomeCity

          public java.lang.String getHomeCity()

      Gets the home city.
      Returns:
        the home city

    - #### getWorkCity

          public java.lang.String getWorkCity()

      Gets the work city.
      Returns:
        the work city

    - #### getRelevanceScore

          public int getRelevanceScore()

      Gets the relevance score.
      Returns:
        the relevance score

    - #### getFolderIds

          public java.util.List<FolderId> getFolderIds()

      Gets the folder ids.
      Returns:
        the folder ids

    - #### getAttributions

          public java.util.List<PersonaAttribution> getAttributions()

      Gets the attributions.
      Returns:
        the attributions

    - #### getDisplayNames

          public java.util.List<StringAttributedValue> getDisplayNames()

      Gets the display names.
      Returns:
        the display names

    - #### getFileAses

          public java.util.List<StringAttributedValue> getFileAses()

      Gets the file ases.
      Returns:
        the file ases

    - #### getFileAsIds

          public java.util.List<StringAttributedValue> getFileAsIds()

      Gets the file as ids.
      Returns:
        the file as ids

    - #### getDisplayNamePrefixes

          public java.util.List<StringAttributedValue> getDisplayNamePrefixes()

      Gets the display name prefixes.
      Returns:
        the display name prefixes

    - #### getGivenNames

          public java.util.List<StringAttributedValue> getGivenNames()

      Gets the given names.
      Returns:
        the given names

    - #### getMiddleNames

          public java.util.List<StringAttributedValue> getMiddleNames()

      Gets the middle names.
      Returns:
        the middle names

    - #### getSurnames

          public java.util.List<StringAttributedValue> getSurnames()

      Gets the surnames.
      Returns:
        the surnames

    - #### getGenerations

          public java.util.List<StringAttributedValue> getGenerations()

      Gets the generations.
      Returns:
        the generations

    - #### getNicknames

          public java.util.List<StringAttributedValue> getNicknames()

      Gets the nicknames.
      Returns:
        the nicknames

    - #### getInitials

          public java.util.List<StringAttributedValue> getInitials()

      Gets the initials.
      Returns:
        the initials

    - #### getYomiCompanyNames

          public java.util.List<StringAttributedValue> getYomiCompanyNames()

      Gets the yomi company names.
      Returns:
        the yomi company names

    - #### getYomiFirstNames

          public java.util.List<StringAttributedValue> getYomiFirstNames()

      Gets the yomi first names.
      Returns:
        the yomi first names

    - #### getYomiLastNames

          public java.util.List<StringAttributedValue> getYomiLastNames()

      Gets the yomi last names.
      Returns:
        the yomi last names

    - #### getBusinessPhoneNumbers

          public java.util.List<PersonaPhoneNumberAttributedValue> getBusinessPhoneNumbers()

      Gets the business phone numbers.
      Returns:
        the business phone numbers

    - #### getBusinessPhoneNumbers2

          public java.util.List<PersonaPhoneNumberAttributedValue> getBusinessPhoneNumbers2()

      Gets the business phone numbers2.
      Returns:
        the business phone numbers2

    - #### getHomePhones

          public java.util.List<PersonaPhoneNumberAttributedValue> getHomePhones()

      Gets the home phones.
      Returns:
        the home phones

    - #### getHomePhones2

          public java.util.List<PersonaPhoneNumberAttributedValue> getHomePhones2()

      Gets the home phones2.
      Returns:
        the home phones2

    - #### getMobilePhones

          public java.util.List<PersonaPhoneNumberAttributedValue> getMobilePhones()

      Gets the mobile phones.
      Returns:
        the mobile phones

    - #### getMobilePhones2

          public java.util.List<PersonaPhoneNumberAttributedValue> getMobilePhones2()

      Gets the mobile phones2.
      Returns:
        the mobile phones2

    - #### getAssistantPhoneNumbers

          public java.util.List<PersonaPhoneNumberAttributedValue> getAssistantPhoneNumbers()

      Gets the assistant phone numbers.
      Returns:
        the assistant phone numbers

    - #### getCallbackPhones

          public java.util.List<PersonaPhoneNumberAttributedValue> getCallbackPhones()

      Gets the callback phones.
      Returns:
        the callback phones

    - #### getCarPhones

          public java.util.List<PersonaPhoneNumberAttributedValue> getCarPhones()

      Gets the car phones.
      Returns:
        the car phones

    - #### getHomeFaxes

          public java.util.List<PersonaPhoneNumberAttributedValue> getHomeFaxes()

      Gets the home faxes.
      Returns:
        the home faxes

    - #### getOrganizationMainPhones

          public java.util.List<PersonaPhoneNumberAttributedValue> getOrganizationMainPhones()

      Gets the organization main phones.
      Returns:
        the organization main phones

    - #### getOtherFaxes

          public java.util.List<PersonaPhoneNumberAttributedValue> getOtherFaxes()

      Gets the other faxes.
      Returns:
        the other faxes

    - #### getOtherTelephones

          public java.util.List<PersonaPhoneNumberAttributedValue> getOtherTelephones()

      Gets the other telephones.
      Returns:
        the other telephones

    - #### getOtherPhones2

          public java.util.List<PersonaPhoneNumberAttributedValue> getOtherPhones2()

      Gets the other phones2.
      Returns:
        the other phones2

    - #### getPagers

          public java.util.List<PersonaPhoneNumberAttributedValue> getPagers()

      Gets the pagers.
      Returns:
        the pagers

    - #### getRadioPhones

          public java.util.List<PersonaPhoneNumberAttributedValue> getRadioPhones()

      Gets the radio phones.
      Returns:
        the radio phones

    - #### getTelexNumbers

          public java.util.List<PersonaPhoneNumberAttributedValue> getTelexNumbers()

      Gets the telex numbers.
      Returns:
        the telex numbers

    - #### getTTYTDDPhoneNumbers

          public java.util.List<PersonaPhoneNumberAttributedValue> getTTYTDDPhoneNumbers()

      Gets the tTYTDD phone numbers.
      Returns:
        the tTYTDD phone numbers

    - #### getWorkFaxes

          public java.util.List<PersonaPhoneNumberAttributedValue> getWorkFaxes()

      Gets the work faxes.
      Returns:
        the work faxes

    - #### getEmails1

          public java.util.List<MailboxAttributedValue> getEmails1()

      Gets the emails1.
      Returns:
        the emails1

    - #### getEmails2

          public java.util.List<MailboxAttributedValue> getEmails2()

      Gets the emails2.
      Returns:
        the emails2

    - #### getEmails3

          public java.util.List<MailboxAttributedValue> getEmails3()

      Gets the emails3.
      Returns:
        the emails3

    - #### getBusinessHomePages

          public java.util.List<StringAttributedValue> getBusinessHomePages()

      Gets the business home pages.
      Returns:
        the business home pages

    - #### getPersonalHomePages

          public java.util.List<StringAttributedValue> getPersonalHomePages()

      Gets the personal home pages.
      Returns:
        the personal home pages

    - #### getOfficeLocations

          public java.util.List<StringAttributedValue> getOfficeLocations()

      Gets the office locations.
      Returns:
        the office locations

    - #### getImAddresses

          public java.util.List<StringAttributedValue> getImAddresses()

      Gets the im addresses.
      Returns:
        the im addresses

    - #### getImAddresses2

          public java.util.List<StringAttributedValue> getImAddresses2()

      Gets the im addresses2.
      Returns:
        the im addresses2

    - #### getImAddresses3

          public java.util.List<StringAttributedValue> getImAddresses3()

      Gets the im addresses3.
      Returns:
        the im addresses3

    - #### getBusinessAddresses

          public java.util.List<PersonaPostalAddressAttributedValue> getBusinessAddresses()

      Gets the business addresses.
      Returns:
        the business addresses

    - #### getHomeAddresses

          public java.util.List<PersonaPostalAddressAttributedValue> getHomeAddresses()

      Gets the home addresses.
      Returns:
        the home addresses

    - #### getOtherAddresses

          public java.util.List<PersonaPostalAddressAttributedValue> getOtherAddresses()

      Gets the other addresses.
      Returns:
        the other addresses

    - #### getTitles

          public java.util.List<StringAttributedValue> getTitles()

      Gets the titles.
      Returns:
        the titles

    - #### getDepartments

          public java.util.List<StringAttributedValue> getDepartments()

      Gets the departments.
      Returns:
        the departments

    - #### getCompanyNames

          public java.util.List<StringAttributedValue> getCompanyNames()

      Gets the company names.
      Returns:
        the company names

    - #### getManagers

          public java.util.List<StringAttributedValue> getManagers()

      Gets the managers.
      Returns:
        the managers

    - #### getAssistantNames

          public java.util.List<StringAttributedValue> getAssistantNames()

      Gets the assistant names.
      Returns:
        the assistant names

    - #### getProfessions

          public java.util.List<StringAttributedValue> getProfessions()

      Gets the professions.
      Returns:
        the professions

    - #### getSpouseNames

          public java.util.List<StringAttributedValue> getSpouseNames()

      Gets the spouse names.
      Returns:
        the spouse names

    - #### getChildren

          public java.util.List<StringAttributedValue> getChildren()

      Gets the children.
      Returns:
        the children

    - #### getSchools

          public java.util.List<StringAttributedValue> getSchools()

      Gets the schools.
      Returns:
        the schools

    - #### getHobbies

          public java.util.List<StringAttributedValue> getHobbies()

      Gets the hobbies.
      Returns:
        the hobbies

    - #### getWeddingAnniversaries

          public java.util.List<StringAttributedValue> getWeddingAnniversaries()

      Gets the wedding anniversaries.
      Returns:
        the wedding anniversaries

    - #### getBirthdays

          public java.util.List<StringAttributedValue> getBirthdays()

      Gets the birthdays.
      Returns:
        the birthdays

    - #### getLocations

          public java.util.List<StringAttributedValue> getLocations()

      Gets the locations.
      Returns:
        the locations

    - #### getExtendedProperties

          public java.util.List<ExtendedPropertyAttributedValue> getExtendedProperties()

      Gets the extended properties.
      Returns:
        the extended properties